package com.dev.swms.server.model.count;

import java.util.Date;
import java.util.Set;

import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.base.Structure;
import com.dev.swms.server.model.base.Warehouse;

public class Contract extends Entity{

	private Structure wmsBalance; //结算对象
	private Date contractDateStart; //合同开始日期
	private Date contractDateEnd; //合同结束日期
	private Date operatorDate; //操作日期
	private boolean beCompany; //是否客户
	private boolean beContract; //是否客户合同
	private boolean disabled; //是否有效
	private String description; //描述
	private String backDes; //退回备注
	private String code; //合同代码
	private String name; //合同名称
	private String operator; //操作人
	private String status;//状态
	private Date checkTime;//区域审核时间
	private String checkPerson;//区域审核人
	private Date checkCTime;//总部审核时间
	private String checkCPerson;//总部审核人
	private Warehouse warehouse;//所属仓库
	/**客户合同代码*/
	private String customerCode;
	/***合同类型 */
	private String contractType;
	
	public Structure getWmsBalance() {
		return wmsBalance;
	}
	public void setWmsBalance(Structure wmsBalance) {
		this.wmsBalance = wmsBalance;
	}
	public Date getContractDateStart() {
		return contractDateStart;
	}
	public void setContractDateStart(Date contractDateStart) {
		this.contractDateStart = contractDateStart;
	}
	public Date getContractDateEnd() {
		return contractDateEnd;
	}
	public void setContractDateEnd(Date contractDateEnd) {
		this.contractDateEnd = contractDateEnd;
	}
	public Date getOperatorDate() {
		return operatorDate;
	}
	public void setOperatorDate(Date operatorDate) {
		this.operatorDate = operatorDate;
	}
	public boolean isBeCompany() {
		return beCompany;
	}
	public void setBeCompany(boolean beCompany) {
		this.beCompany = beCompany;
	}
	public boolean isBeContract() {
		return beContract;
	}
	public void setBeContract(boolean beContract) {
		this.beContract = beContract;
	}
	public boolean isDisabled() {
		return disabled;
	}
	public void setDisabled(boolean disabled) {
		this.disabled = disabled;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getBackDes() {
		return backDes;
	}
	public void setBackDes(String backDes) {
		this.backDes = backDes;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getOperator() {
		return operator;
	}
	public void setOperator(String operator) {
		this.operator = operator;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public Date getCheckTime() {
		return checkTime;
	}
	public void setCheckTime(Date checkTime) {
		this.checkTime = checkTime;
	}
	public String getCheckPerson() {
		return checkPerson;
	}
	public void setCheckPerson(String checkPerson) {
		this.checkPerson = checkPerson;
	}
	public Date getCheckCTime() {
		return checkCTime;
	}
	public void setCheckCTime(Date checkCTime) {
		this.checkCTime = checkCTime;
	}
	public String getCheckCPerson() {
		return checkCPerson;
	}
	public void setCheckCPerson(String checkCPerson) {
		this.checkCPerson = checkCPerson;
	}
	public Warehouse getWarehouse() {
		return warehouse;
	}
	public void setWarehouse(Warehouse warehouse) {
		this.warehouse = warehouse;
	}
	public String getCustomerCode() {
		return customerCode;
	}
	public void setCustomerCode(String customerCode) {
		this.customerCode = customerCode;
	}
	public String getContractType() {
		return contractType;
	}
	public void setContractType(String contractType) {
		this.contractType = contractType;
	}
	
	
	
}
